### Constructor

# GdkPixbuf Pixbuf new_from_resource

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_new_from_resource (
      const char* resource_path,
      GError** error
    )

#### Description [src]

Creates a new pixbuf by loading an image from an resource.

The file format is detected automatically. If `NULL` is returned, then `error` will be set.

Available since: | 2.26

#### Parameters

`resource_path` | `const char*`
| The path of the resource file.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GdkPixbuf`
| A newly-created pixbuf.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.